# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw-forms
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define srcname tw.forms

Name:           python-module-tw-forms
Version:        0.9.9
Release:        alt1_6
Summary:        Web Widgets for building and validating forms in ToscaWidgets
Group:          Development/Python
# The javascript for the calendar widget is licensed under LGPLv2.1+
License:        MIT and LGPLv2+
URL:            http://toscawidgets.org/
Source0:        http://pypi.python.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
tw.forms is a set of html and javascript widgets for the ToscaWidgets
framework.  They give authors basic html form elements as building blocks
for their own web pages and widgets.


%prep
%setup -q -n %{srcname}-%{version}


%build
chmod 0644 tw/forms/static/grid.css
sed -i 's/\r//' tw/forms/static/grid.css
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%files
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.9.9-alt1_5
- initial fc import

